## wcsmbs-locale 0.4.11

=== Makefile ===
#
# Copyright (c) 1997,1998 Akira Yoshiyama <yosshy@debian.or.jp>
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public Licenses as
# published by the Free Software Foundation; either version 2 of 
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Makefile for wcsmbs-locale
#
LOCALES=ko_KR.euc ko_KR.johab ko_KR.uhc \
	ja_JP.iso-2022-jp ja_JP.iso-2022-jp.strict \
	ja_JP.jis ja_JP.jis-1978 ja_JP.jis-1983 \
	ja_JP.jis-1990 ja_JP.sjis ja_JP.ujis \
	ja_JP ja ko korean ko_KR

all:
	for i in $(LOCALES); do $(MAKE) -C $$i all; done

install: all
	for i in $(LOCALES); do $(MAKE) -C $$i install DESTDIR=$(DESTDIR); done

clean:
	-for i in $(LOCALES) TOOLS test; do $(MAKE) -C $$i clean; done
	find . -name \*~ -exec rm -f {} \;

# To rebuld */map.c.  
# You should put Unicode map file in MAPS/
map:
	-for i in $(LOCALES); do $(MAKE) -C $$i map; done

distclean:
	-for i in $(LOCALES) TOOLS test; do $(MAKE) -C $$i distclean; done
	find . -name \*~ -exec rm -f {} \;
