=== TOOLS/Makefile ===
#
# Copyright (c) 1997,1998 Akira Yoshiyama <yosshy@debian.or.jp>
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public Licenses as
# published by the Free Software Foundation; either version 2 of 
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
MKWCS2MBS = ./mkwcs2mbs

$(MKWCS2MBS): mkwcs2mbs.c
	$(CC) -Wall -g -o $@ $<

clean:
	rm -f $(MKWCS2MBS) *~

distclean: clean
#
