=== ja/Makefile ===
#
# Makefile for ja
# it is provides for alias for ja_JP.ujis.
#
ALIAS_LOCALE=ja
DEF_LOCALE=ja_JP.ujis

include ../Makefile.inc
