=== ja_JP.iso-2022-jp.strict/Makefile ===
#
# Makefile for ja_JP.iso-2022-jp.strict
#
LOCALENAME=ja_JP.iso-2022-jp.strict
MAPS = ascii jisx0201_1 jisx0208 jisc6226
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@
