=== ja_JP.sjis/Makefile ===
#
# Makefile for ja_JP.sjis
#
LOCALENAME=ja_JP.sjis
MAPS = jisx0201_1 jisx0201_2 jisx0208
CHARMAP=Shift_JIS
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_jisx0201_1:default" > $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	cat jisx0201_2 >> $@
	echo "" >> $@

	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208 0 < jisx0208 >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[0-7][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[89A-F][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[0-9A-F][0-9A-F][0-9A-F][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@
