=== ja_JP.ujis/Makefile ===
#
# Makefile for ja_JP.ujis
#
LOCALENAME=ja_JP.ujis
MAPS = ascii jisx0201_2 jisx0208 jisx0212
CHARMAP=EUC-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	cat ascii >> $@
	echo "" >> $@

	echo "0x8E	map_jisx0201_2:" >> $@
	echo "0x8F	map_jisx0212:" >> $@
	echo "" >> $@

	$(GENMBS2WCS) jisx0208 0x8080 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0212:" >> $@
	$(GENMBS2WCS) jisx0212 0x8080 jisx0212 >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208 0x8080  < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisx0212 0x8080  < jisx0212 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisx0212: ../MAPS/JIS_X_0212-1990.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@
