=== ja_JP/Makefile ===
#
# Makefile for ja_JP
# it is provides for alias for ja_JP.ujis.
#
ALIAS_LOCALE=ja_JP
DEF_LOCALE=ja_JP.ujis

include ../Makefile.inc
