=== debian/changelog ===
wcsmbs-locale (0.4.11) frozen unstable; urgency=medium

  * close Bug#31233.	
  * (src/mbsrtowcs_locale.c) fix for pwc == NULL.
  * (src/mbsnrtowcs_locale.c) fix for unfinished mbs.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 29 Dec 1998 00:08:39 +0900

wcsmbs-locale (0.4.10) frozen unstable; urgency=low

  * fix ja_JP.sjis map.c, close Bug#JP/699
  * fix lintian error: spelling-error-in-description

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  7 Dec 1998 13:23:07 +0900

wcsmbs-locale (0.4.9) frozen unstable; urgency=low

  * Makefile.inc: make symlink for alias locales. fix bug#30213

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  2 Dec 1998 00:54:25 +0900

wcsmbs-locale (0.4.8) frozen unstable; urgency=low

  * (debian/control) change dependency, conflicts older wcsmbs and wcsmbs-locale, because wcsmbs-locale-{ja,ko} can not coexists, close bug#30012
  * (debian/rules) remove korean directories from wcsmbs-locale-ja 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 16 Nov 1998 00:48:46 +0900

wcsmbs-locale (0.4.7) unstable; urgency=low

  * fix mbsnrtowcs() and wcsnrtombs() to return correct error values.
  * modify mbrtowc() to follow mbsnrtowcs() changes
  * fix mbsnrtowcs() and wcsnrtombs() if dst == NULL, reported by Jungshik Shin <jshin@pantheon.yale.edu> 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Nov 1998 09:33:41 +0900

wcsmbs-locale (0.4.6) unstable; urgency=HIGH

  * Oops, I fotgot removing the Unicode map again..

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 22 Oct 1998 20:05:03 +0900

wcsmbs-locale (0.4.5) unstable; urgency=low

  * ko_KR.euc was missing. reported by Chu-yeon Park <kokids@doit.ajou.ac.kr>
  * remove copyright of Unicode map file from debian/copyright, since it is misleading.  wcsmbs-locale does no longer contain restricted Unicode map file.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 21 Oct 1998 01:13:45 +0900

wcsmbs-locale (0.4.4) unstable; urgency=low

  * fix Bug/JP#565
  * remove some Unicode map file from source, because we are not allowed to redistribute these files by their copyrights.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 12 Oct 1998 10:27:31 +0900

wcsmbs-locale (0.4.3) unstable; urgency=low

  * change maintainer from yosshy@lyra.vega.or.jp to ukai@debian.or.jp
  * multi package (wcsmbs-locale-ja and wcsmba-locale-ko)
  * depends libwcsmbs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Oct 1998 05:11:39 +0900

wcsmbs-locale (0.4.2) frozen unstable; urgency=low

  * depends: libc6-wcsmbs
  * import CVS 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Jul 1998 20:24:53 +0900

wcsmbs-locale (0.4.1) frozen unstable; urgency=low

  * fix Makefile.inc, reported by densuke@mike.n.is.sci.toho-u.ac.jp 
  * clean TOOLS/mkwcs2mbs, close Bug#JP/429.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  5 Jul 1998 03:05:25 +0900

wcsmbs-locale (0.4) frozen unstable; urgency=high

  * add localedata for ja_JP.* based on
    http://asis.hypercore.co.jp/home/kaz/linux/glibc-2.0-jalocales-0.0.1.tar.gz
    provided by Kaz Sasayama.
    Now, wcsmbs-locale is replacement package of locale-ja.
  * Split common rules of subdirs Makefile.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  5 Jul 1998 00:15:05 +0900

wcsmbs-locale (0.3.8) unstable; urgency=low

  * install wcsmbs.so in /usr/lib/wcsmbs/<locale>
    for FHS (Filesystem Hierarchy Standard).

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  4 Jul 1998 22:42:05 +0900

wcsmbs-locale (0.3.7.4) frozen unstable; urgency=low

  * install docs, examples to /usr/doc/wcsmbs-locale instead of 
    /usr/doc/wcsmbs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Jul 1998 20:54:33 +0900

wcsmbs-locale (0.3.7.3) frozen unstable; urgency=medium

  * Non Maintainer's release
  * Add depends: locale-ja.  Without locale-ja, setlocale() will be failed
    and wcsmbs.so would never loaded, so you can't use this wcsmbs routines. 
    However locale-ja (at least <= 2.1.1) only supports ja_JP.ujis, so other 
    ja_JP (such as ja_JP.sjis) won't work.
  * Add recommends: libc6-wcsmbs.  In usual case, you can't use wcsmbs.so
    without libc6-wcsmbs.
  * Initialize mbstate_t explicitly.
  * Fix wcsnrtombs_locale.c (core dump if illegal sequence).
  * Fix Bug#JP/427, reported by matsu@arch.comp.kyutech.ac.jp. 
  * fix lintian warnings: shlib-without-dependency-information.
  * add test/iconv.c from linux-tech:00497.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Jul 1998 19:03:05 +0900

wcsmbs-locale (0.3.7.2) frozen unstable; urgency=low

  * non Maintainer's release
  * fix src/mbsnrtowcs_locale.c (close Bug/JP#423)
  * revert previous fix

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 29 Jun 1998 13:04:01 +0900

wcsmbs-locale (0.3.7.1) unstable; urgency=low

  * non Maintainer's release 
  * fix Bug/JP#423

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 28 Jun 1998 01:24:39 +0900

wcsmbs-locale (0.3.7) unstable; urgency=low

  * Deleted ja_JP.jis-1978/JIS_X_0208-1983.
  * Fixed Makefile in ja_JP.jis to generate JIS_X_0208-1983.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Sun, 14 Jun 1998 00:03:26 +0900

wcsmbs-locale (0.3.6) unstable; urgency=low

  * Fixed some bugs in mbrtowc(), and so on.
  * Added ctype_get_mb_cur_max_locale().
  * Replaced ja_JP.jis*, ja_JP.iso-2022-jp*.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Wed, 10 Jun 1998 23:43:44 +0900

wcsmbs-locale (0.3.5) unstable; urgency=low

  * Renamed ja_JP.jis as ja_JP.iso2022jp.
  * Fixed the def file of ja_JP.iso2022jp.
  * Divided ja_JP.jis from ja_JP.iso2022jp.
  * Renamed this package as `wcsmbs-locale'.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Mon, 25 May 1998 22:32:28 +0900

wcsmbs (0.3.4) unstable; urgency=low

  * Fixed def, escseq files in ja_JP.jis, ja_JP.ujis.
  * Added a map file for JIS C 6226-1978.
  * Renamed map files (JIS*).
  * Fixed priority infomation to optional.
  * Fixed section infomation to libs.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Mon, 25 May 1998 21:38:22 +0900

wcsmbs (0.3.3) unstable; urgency=low


