=== debian/control ===
Source: wcsmbs-locale
Section: libs
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 2.4.0.0

Package: wcsmbs-locale-ja
Architecture: any
Depends: libwcsmbs, ${shlibs:Depends}
Conflicts: wcsmbs (<= 0.3.3), locale-ja, wcsmbs-locale (<= 0.4.5)
Provides: wcsmbs, locale-ja
Replaces: wcsmbs, locale-ja, wcsmbs-locale
Description: WC<->MBC convert function libraries for Japanese in glibc-2.x
 wcsmbs contains DLLs which allow to use various codes as multibyte
 character encoding.  It contains: EUC-JP, ISO-2022-JP, 
 Microsoft ShiftJIS(SJIS).
 .
 It can be applied to other codes, but not contains now.
 .
 It also provides as experimental and incorrect locale definition
 for Japanese (ja_JP). Since the GNU libc does not support the EUC-JP,
 ISO-2022-JP and ShiftJIS encoding yet, we cannot make a correct locale
 definition for it.

Package: wcsmbs-locale-ko
Architecture: any
Depends: libwcsmbs, ${shlibs:Depends}
Conflicts: wcsmbs (<= 0.3.3), locale-ko, wcsmbs-locale (<= 0.4.5)
Provides: wcsmbs, locale-ko
Replaces: wcsmbs, locale-ko, wcsmbs-locale
Description: WC<->MBC convert function libraries for Korean in glibc-2.x
 wcsmbs contains DLLs which allow to use various codes as multibyte
 character encoding.  It contains: EUC-KR and so on.
 .
 It can be applied to other codes, but not contains now.
 .
 It also provides as experimental and incorrect locale definition
 for Korean (ko_KR). Since the GNU libc does not support the EUC-KR,
 encoding yet, we cannot make a correct locale definition for it.
